The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Upgrading MySQL, ENOENT Error

Discussion in 'Database Discussions' started by Clint Decker, Oct 16, 2014.

  1. Clint Decker

    Clint Decker Member

    Joined:
    Oct 15, 2014
    Messages:
    11
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Saratoga Springs, Utah, United States
    cPanel Access Level:
    Root Administrator
    Trying to upgrade mysql from 5.1 to 5.5 then 5.6, but as soon as I start the upgrade, within a few seconds, it fails. This is the error I get.

    Code:
    Beginning MySQL upgrade...
    Running: /usr/local/cpanel/scripts/check_cpanel_rpms --targets=MySQL41,MySQL50,MySQL51,MySQL55,MySQL56 --fix
    [20141016.025100]
    [20141016.025100] Problems were detected with cPanel-provided files which are RPM controlled.
    [20141016.025100] If you did not make these changes intentionally, you can correct them by running:
    [20141016.025100]
    [20141016.025100] > /usr/local/cpanel/scripts/check_cpanel_rpms --fix
    [20141016.025100] The following RPMs are missing from your system:
    [20141016.025100] MySQL55-client-5.5.37-2.cp1136
    [20141016.025100] MySQL55-devel-5.5.37-2.cp1136
    [20141016.025100] MySQL55-server-5.5.37-2.cp1136
    [20141016.025100] MySQL55-shared-5.5.37-2.cp1136
    [20141016.025100] MySQL55-test-5.5.37-2.cp1136
    [20141016.025100] compat-MySQL50-shared-5.0.96-4.cp1136
    [20141016.025100] compat-MySQL51-shared-5.1.73-4.cp1136
    [20141016.025101] Removing 0 broken rpms:
    [20141016.025101] rpm: no packages given for erase
    [20141016.025102] Downloading http://httpupdate.cpanel.net/RPM/11.36/centos/5/x86_64/rpm.md5
    [20141016.025102] MySQL55-shared-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141016.025102] MySQL55-client-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141016.025102] MySQL55-server-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141016.025102] compat-MySQL50-shared-5.0.96-4.cp1136.x86_64.rpm already downloaded
    [20141016.025102] MySQL55-devel-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141016.025102] compat-MySQL51-shared-5.1.73-4.cp1136.x86_64.rpm already downloaded
    [20141016.025102] MySQL55-test-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141016.025102] Hooks system enabled
    [20141016.025102] Checking for and running RPM::Versions 'pre' hooks for any RPMs about to be installed
    [20141016.025102] All required 'pre' hooks have been run
    [20141016.025102] No RPMS need to be uninstalled
    [20141016.025102] Installing new rpms: MySQL55-shared-5.5.37-2.cp1136.x86_64.rpm MySQL55-client-5.5.37-2.cp1136.x86_64.rpm MySQL55-server-5.5.37-2.cp1136.x86_64.rpm compat-MySQL50-shared-5.0.96-4.cp1136.x86_64.rpm MySQL55-devel-5.5.37-2.cp1136.x86_64.rpm compat-MySQL51-shared-5.1.73-4.cp1136.x86_64.rpm MySQL55-test-5.5.37-2.cp1136.x86_64.rpm
    [20141016.025103] error: Failed dependencies:
    [20141016.025103] MySQL conflicts with mysql-5.0.77-4.el5_6.6.i386
    [20141016.025103] W Error Code: 7
    [20141016.025103] E The following possible errors were detected while installing RPMs:
    [20141016.025103] E Failed dependencies
    [20141016.025103] The Administrator will be notified to review this output when this script completes
    [20141016.025103] Checking for and running RPM::Versions 'post' hooks for any RPMs just installed
    [20141016.025103] All required 'post' hooks have been run
    Failed while upgrading to 5.5...The subprocess reported the “ENOENT” (2) error when it ended....aborting! MySQL upgrade failed!
     
  2. 24x7server

    24x7server Well-Known Member

    Joined:
    Apr 17, 2013
    Messages:
    1,146
    Likes Received:
    34
    Trophy Points:
    48
    Location:
    India
    cPanel Access Level:
    Root Administrator
    Hello,

    Can you please try to run /usr/local/cpanel/scripts/check_cpanel_rpms --fix command on your server and try again
     
  3. Clint Decker

    Clint Decker Member

    Joined:
    Oct 15, 2014
    Messages:
    11
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Saratoga Springs, Utah, United States
    cPanel Access Level:
    Root Administrator
    Same Error. Thanks for the quick reply :)

    This is what it said when I ran what you told me to:

    Code:
    # /usr/local/cpanel/scripts/check_cpanel_rpms --fix
    [20141016.114745]
    [20141016.114745]   Problems were detected with cPanel-provided files which are                                                                                                                                                                    RPM controlled.
    [20141016.114745]   If you did not make these changes intentionally, you can cor                                                                                                                                                                   rect them by running:
    [20141016.114745]
    [20141016.114745]   > /usr/local/cpanel/scripts/check_cpanel_rpms --fix
    [20141016.114745]   The following RPMs are missing from your system:
    [20141016.114745]   MySQL55-client-5.5.37-2.cp1136
    [20141016.114745]   MySQL55-devel-5.5.37-2.cp1136
    [20141016.114745]   MySQL55-server-5.5.37-2.cp1136
    [20141016.114745]   MySQL55-shared-5.5.37-2.cp1136
    [20141016.114745]   MySQL55-test-5.5.37-2.cp1136
    [20141016.114745]   compat-MySQL50-shared-5.0.96-4.cp1136
    [20141016.114745]   compat-MySQL51-shared-5.1.73-4.cp1136
    [20141016.114800]   Removing 0 broken rpms:
    [20141016.114800]   rpm: no packages given for erase
    [20141016.114801]   Downloading [url=http://httpupdate.cpanel.net/RPM/11.36/centos/5/]Index of /RPM/11.36/centos/5/[/url]                                                                                                                                                                   x86_64/rpm.md5
    [20141016.114802]   MySQL55-shared-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141016.114802]   MySQL55-client-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141016.114802]   MySQL55-server-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141016.114802]   compat-MySQL50-shared-5.0.96-4.cp1136.x86_64.rpm already dow                                                                                                                                                                   nloaded
    [20141016.114802]   MySQL55-devel-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141016.114802]   compat-MySQL51-shared-5.1.73-4.cp1136.x86_64.rpm already dow                                                                                                                                                                   nloaded
    [20141016.114802]   MySQL55-test-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141016.114803]   Hooks system enabled
    [20141016.114803]   Checking for and running RPM::Versions 'pre' hooks for any R                                                                                                                                                                   PMs about to be installed
    warn [check_cpanel_rpms] program "/scripts/premysqlup" is not executable
    [20141016.114803]   All required 'pre' hooks have been run
    [20141016.114803]   No RPMS need to be uninstalled
    [20141016.114803]   Installing new rpms: MySQL55-shared-5.5.37-2.cp1136.x86_64.r                                                                                                                                                                   pm MySQL55-client-5.5.37-2.cp1136.x86_64.rpm MySQL55-server-5.5.37-2.cp1136.x86_                                                                                                                                                                   64.rpm compat-MySQL50-shared-5.0.96-4.cp1136.x86_64.rpm MySQL55-devel-5.5.37-2.c                                                                                                                                                                   p1136.x86_64.rpm compat-MySQL51-shared-5.1.73-4.cp1136.x86_64.rpm MySQL55-test-5                                                                                                                                                                   .5.37-2.cp1136.x86_64.rpm
    [20141016.114804]   error: Failed dependencies:
    [20141016.114804]       MySQL conflicts with mysql-5.0.77-4.el5_6.6.i386
    [20141016.114804] W Error Code: 7
    [20141016.114804] E The following possible errors were detected while installing                                                                                                                                                                    RPMs:
    [20141016.114804] E Failed dependencies
    [20141016.114804]   The Administrator will be notified to review this output whe                                                                                                                                                                   n this script completes
    [20141016.114804]   Checking for and running RPM::Versions 'post' hooks for any                                                                                                                                                                    RPMs just installed
    warn [check_cpanel_rpms] program "/scripts/postmysqlinstall" is not executable
    warn [check_cpanel_rpms] program "/scripts/postmysqlup" is not executable
    [20141016.114804]   All required 'post' hooks have been run
    Then this was the error on my mysql update:

    Code:
    Beginning MySQL upgrade...
    Running: /usr/local/cpanel/scripts/check_cpanel_rpms --targets=MySQL41,MySQL50,MySQL51,MySQL55,MySQL56 --fix
    [20141016.114825]
    [20141016.114825] Problems were detected with cPanel-provided files which are RPM controlled.
    [20141016.114825] If you did not make these changes intentionally, you can correct them by running:
    [20141016.114825]
    [20141016.114825] > /usr/local/cpanel/scripts/check_cpanel_rpms --fix
    [20141016.114825] The following RPMs are missing from your system:
    [20141016.114825] MySQL55-client-5.5.37-2.cp1136
    [20141016.114825] MySQL55-devel-5.5.37-2.cp1136
    [20141016.114825] MySQL55-server-5.5.37-2.cp1136
    [20141016.114825] MySQL55-shared-5.5.37-2.cp1136
    [20141016.114825] MySQL55-test-5.5.37-2.cp1136
    [20141016.114825] compat-MySQL50-shared-5.0.96-4.cp1136
    [20141016.114825] compat-MySQL51-shared-5.1.73-4.cp1136
    [20141016.114826] Removing 0 broken rpms:
    [20141016.114826] rpm: no packages given for erase
    [20141016.114827] Downloading [url]http://httpupdate.cpanel.net/RPM/11.36/centos/5/x86_64/rpm.md5[/url]
    [20141016.114827] MySQL55-shared-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141016.114827] MySQL55-client-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141016.114828] MySQL55-server-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141016.114828] compat-MySQL50-shared-5.0.96-4.cp1136.x86_64.rpm already downloaded
    [20141016.114828] MySQL55-devel-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141016.114828] compat-MySQL51-shared-5.1.73-4.cp1136.x86_64.rpm already downloaded
    [20141016.114828] MySQL55-test-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141016.114828] Hooks system enabled
    [20141016.114828] Checking for and running RPM::Versions 'pre' hooks for any RPMs about to be installed
    [20141016.114828] All required 'pre' hooks have been run
    [20141016.114828] No RPMS need to be uninstalled
    [20141016.114828] Installing new rpms: MySQL55-shared-5.5.37-2.cp1136.x86_64.rpm MySQL55-client-5.5.37-2.cp1136.x86_64.rpm MySQL55-server-5.5.37-2.cp1136.x86_64.rpm compat-MySQL50-shared-5.0.96-4.cp1136.x86_64.rpm MySQL55-devel-5.5.37-2.cp1136.x86_64.rpm compat-MySQL51-shared-5.1.73-4.cp1136.x86_64.rpm MySQL55-test-5.5.37-2.cp1136.x86_64.rpm
    [20141016.114828] error: Failed dependencies:
    [20141016.114828] MySQL conflicts with mysql-5.0.77-4.el5_6.6.i386
    [20141016.114828] W Error Code: 7
    [20141016.114828] E The following possible errors were detected while installing RPMs:
    [20141016.114828] E Failed dependencies
    [20141016.114828] The Administrator will be notified to review this output when this script completes
    [20141016.114828] Checking for and running RPM::Versions 'post' hooks for any RPMs just installed
    [20141016.114828] All required 'post' hooks have been run
    Failed while upgrading to 5.5...The subprocess reported the “ENOENT” (2) error when it ended....aborting! MySQL upgrade failed!
     
    #3 Clint Decker, Oct 16, 2014
    Last edited by a moderator: Oct 16, 2014
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    651
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello :)

    Could you let us know which version of cPanel is installed on your system? Also, please post the output from the following command:

    Code:
    grep mysql-version /var/cpanel/cpanel.config
    Thank you.
     
  5. Clint Decker

    Clint Decker Member

    Joined:
    Oct 15, 2014
    Messages:
    11
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Saratoga Springs, Utah, United States
    cPanel Access Level:
    Root Administrator
    # grep mysql-version /var/cpanel/cpanel.config
    mysql-version=5.5

    WHM 11.44.1 (build 18)
     
  6. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    651
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Try removing the old RPM with a command such as:

    Code:
    rpm -e --justdb --nodeps mysql-5.0.77-4.el5_6.6.i386
    Then, check to see if the MySQL upgrade completes successfully.

    Thank you.
     
  7. Clint Decker

    Clint Decker Member

    Joined:
    Oct 15, 2014
    Messages:
    11
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Saratoga Springs, Utah, United States
    cPanel Access Level:
    Root Administrator
    Thanks, That did the trick!! Thank you.
     
  8. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    651
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
  9. Peoplespaces

    Peoplespaces Well-Known Member

    Joined:
    Oct 1, 2001
    Messages:
    217
    Likes Received:
    2
    Trophy Points:
    18
    cPanel Access Level:
    Root Administrator
    I am getting the same error and the fixes do not work. cpanel ver WHM 11.44.1 (build 18). Trying to upgrade to 5.5 and also even though the upgrade failes in WHM I get this
    grep mysql-version /var/cpanel/cpanel.config
    mysql-version=5.5

    Running rpm -e --justdb --nodeps mysql-5.0.77-4.el5_6.6.i386
    Code:
    20141101.074622]   The following RPMs are missing from your system:
    [20141101.074622]   MySQL55-client-5.5.37-2.cp1136
    [20141101.074622]   MySQL55-devel-5.5.37-2.cp1136
    [20141101.074622]   MySQL55-server-5.5.37-2.cp1136
    [20141101.074622]   MySQL55-shared-5.5.37-2.cp1136
    [20141101.074622]   MySQL55-test-5.5.37-2.cp1136
    [20141101.074622]   compat-MySQL50-shared-5.0.96-4.cp1136
    [20141101.074622]   compat-MySQL51-shared-5.1.73-4.cp1136
    [20141101.074633]   Removing 0 broken rpms:
    [20141101.074633]   rpm: no packages given for erase
    [20141101.074634]   Downloading [url]http://httpupdate.cpanel.net/RPM/11.36/centos/5/x86_64/rpm.md5[/url]
    [20141101.074634]   MySQL55-shared-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141101.074634]   MySQL55-client-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141101.074634]   MySQL55-server-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141101.074634]   compat-MySQL50-shared-5.0.96-4.cp1136.x86_64.rpm already downloaded
    [20141101.074634]   MySQL55-devel-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141101.074634]   compat-MySQL51-shared-5.1.73-4.cp1136.x86_64.rpm already downloaded
    [20141101.074634]   MySQL55-test-5.5.37-2.cp1136.x86_64.rpm already downloaded
    [20141101.074635]   Hooks system enabled
    [20141101.074635]   Checking for and running RPM::Versions 'pre' hooks for any RPMs about to be installed
    warn [check_cpanel_rpms] program "/scripts/premysqlup" is not executable
    [20141101.074635]   All required 'pre' hooks have been run
    [20141101.074636]   No RPMS need to be uninstalled
    [20141101.074636]   Installing new rpms: MySQL55-shared-5.5.37-2.cp1136.x86_64.rpm MySQL55-client-5.5.37-2.cp1136.x86_64.rpm MySQL55-server-5.5.37-2.cp1136.x86_64.rpm compat-MySQL50-shared-5.0.96-4.cp1136.x86_64.rpm MySQL55-devel-5.5.37-2.cp1136.x86_64.rpm compat-MySQL51-shared-5.1.73-4.cp1136.x86_64.rpm MySQL55-test-5.5.37-2.cp1136.x86_64.rpm
    [20141101.074636]   error: Failed dependencies:
    [20141101.074636]       MySQL conflicts with mysql-5.0.77-4.el5_4.2.i386
    [20141101.074636] W Error Code: 7
    [20141101.074636] E The following possible errors were detected while installing RPMs:
    [20141101.074636] E Failed dependencies
     
  10. Peoplespaces

    Peoplespaces Well-Known Member

    Joined:
    Oct 1, 2001
    Messages:
    217
    Likes Received:
    2
    Trophy Points:
    18
    cPanel Access Level:
    Root Administrator
    Fixed. Ran your command with the proper MySQL conflict.

    thanks
     
  11. farazjk

    farazjk Registered

    Joined:
    Jan 23, 2015
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Sorry for the stupid question but where do I run this code in the Cp. Thanks

    Faraz
     
  12. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    651
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    You can access your server via SSH as root using the instructions found here:

    SSH/Shell Access

    Note that since you are not familiar with SSH, it might be a good idea to consult with a qualified system administrator to assist you, or to open a support ticket with us so we can take a closer look.

    Thank you.
     
Loading...

Share This Page